summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2011-02-24 17:41:36 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2011-02-24 17:41:36 +0100
commit0aabef127155575e8c8d660605f9401ab15356aa (patch)
treeb8cd5f06c60cd4e95fd7a2923dabb3b831dd93b3 /scripts
parent0b09c2710166bd95ac9033b048bb6cbf7b4de7c2 (diff)
allow native build of a lot of packages
STAGING_TARGET_DIR is used for package Makefile's for include and library search path's. STAGING_DIR is used for common code in mk/ or Makefile/rules.mk. STAGING_TARGET_DIR is /usr when native builds are used.
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh24
1 files changed, 22 insertions, 2 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 948e8c0be..e817ee41c 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -24,6 +24,12 @@ out=0
. $topdir/.config
if [[ -n $ADK_NATIVE ]];then
+ if [[ -n $ADK_PACKAGE_NEON ]];then
+ NEED_LIBXML2_DEV="$NEED_LIBXML2_DEV neon"
+ fi
+ if [[ -n $ADK_PACKAGE_LZOP ]];then
+ NEED_LZODEV="$NEED_LZODEV lzop"
+ fi
if [[ -n $ADK_PACKAGE_LIBIMAGEMAGICK ]];then
NEED_JPEGDEV="$NEED_JPEGDEV libimagemagick"
NEED_TIFFDEV="$NEED_TIFFDEV libimagemagick"
@@ -153,6 +159,13 @@ if [[ -n $NEED_LIBTIRPCDEV ]];then
fi
fi
+if [[ -n $NEED_LIBXML2_DEV ]];then
+ if ! test -f /usr/include/libxml2/libxml/xmlversion.h >/dev/null; then
+ echo >&2 You need libxml2 headers to build $NEED_LIBXML2_DEV
+ out=1
+ fi
+fi
+
if [[ -n $NEED_LIBKRB5DEV ]];then
if ! test -f /usr/include/krb5.h >/dev/null; then
echo >&2 You need krb5 headers to build $NEED_LIBKRB5DEV
@@ -171,14 +184,21 @@ fi
if [[ -n $NEED_TIFFDEV ]];then
if ! test -f /usr/include/tiff.h >/dev/null; then
- echo >&2 You need tiff headers to build $NEED_TIFFDEV
+ echo >&2 You need libtiff headers to build $NEED_TIFFDEV
out=1
fi
fi
if [[ -n $NEED_JPEGDEV ]];then
if ! test -f /usr/include/jpeglib.h >/dev/null; then
- echo >&2 You need jpeg headers to build $NEED_JPEGDEV
+ echo >&2 You need libjpeg headers to build $NEED_JPEGDEV
+ out=1
+ fi
+fi
+
+if [[ -n $NEED_LZODEV ]];then
+ if ! test -f /usr/include/lzo/lzo1.h >/dev/null; then
+ echo >&2 You need liblzo headers to build $NEED_LZODEV
out=1
fi
fi